]> arthur.barton.de Git - bup.git/blobdiff - t/subtree-hash
git: remove unused _git_capture()
[bup.git] / t / subtree-hash
index 691c207be6f9806206777fd94eb13414ca344af9..062f4858be60cfe65e521143415f1da338df67b2 100755 (executable)
@@ -1,20 +1,17 @@
-#!/usr/bin/env python
+#!/bin/sh
+"""": # -*-python-*-
+bup_python="$(dirname "$0")/../cmd/bup-python" || exit $?
+exec "$bup_python" "$0" ${1+"$@"}
+"""
+# end of bup preamble
 
+from __future__ import absolute_import
 import os, sys
 
-argv = sys.argv
-exe = os.path.realpath(argv[0])
-exepath = os.path.split(exe)[0] or '.'
-exeprefix = os.path.split(os.path.abspath(exepath))[0]
-
-# fix the PYTHONPATH to include our lib dir
-libpath = os.path.join(exepath, '..', 'lib')
-sys.path[:0] = [libpath]
-os.environ['PYTHONPATH'] = libpath + ':' + os.environ.get('PYTHONPATH', '')
-
 from bup.helpers import handle_ctrl_c, readpipe
 from bup import options
 
+
 optspec = """
 subtree-hash ROOT_HASH [PATH_ITEM...]
 --